package com.sundot.airport.ledger.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.utils.DateUtils;
import com.sundot.airport.ledger.domain.LedgerExamScore;
import com.sundot.airport.ledger.mapper.LedgerExamScoreMapper;
import com.sundot.airport.ledger.service.ILedgerExamScoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 成绩收集Service实现
 */
@Service
public class LedgerExamScoreServiceImpl extends ServiceImpl<LedgerExamScoreMapper, LedgerExamScore>
        implements ILedgerExamScoreService {

    @Autowired
    private LedgerExamScoreMapper mapper;

    @Override
    public List<LedgerExamScore> selectList(LedgerExamScore query) {
        return mapper.selectList(query);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int batchInsert(List<LedgerExamScore> list) {
        list.forEach(item -> item.setCreateTime(DateUtils.getNowDate()));
        saveBatch(list);
        return list.size();
    }
}
